|
HDIV API 2.0.4 | |||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.hdiv.util.JSTLRequestUtilsHDIV
public class JSTLRequestUtilsHDIV
General purpose utility methods related to processing a servlet request.
| Constructor Summary | |
|---|---|
JSTLRequestUtilsHDIV()
|
|
| Method Summary | |
|---|---|
static java.lang.String |
addExtraParameters(javax.servlet.http.HttpServletRequest request,
org.hdiv.dataComposer.IDataComposer dataComposer,
java.lang.String encodedURL)
Adds webflow (_flowExecutionKey) and HDIV (_HDIV_STATE_) parameters. |
static java.lang.String |
addFlowExecutionParameter(javax.servlet.http.HttpServletRequest request,
org.hdiv.dataComposer.IDataComposer dataComposer,
java.lang.String url)
Adds flow execution key (_flowExecutionKey) as url
parameter if the attribute flowExecutionKey exists in the
request. |
static java.lang.String |
addHDIVParameterIfNecessary(javax.servlet.http.HttpServletRequest request,
java.lang.String url)
Adds HDIV state as a parameter if url references our
application. |
static java.lang.String |
addHDIVState(org.hdiv.dataComposer.IDataComposer dataComposer,
java.lang.String encodedURL)
Adds the HDIV parameter, depending on the strategy defined by the user, to validate the request encodedURL. |
static java.lang.String |
composeAction(java.lang.String url,
int questionIndex,
java.lang.String charEncoding,
org.hdiv.dataComposer.IDataComposer dataComposer)
It generates a new encoded values for the url parameters. |
static java.lang.String |
composeURL(javax.servlet.http.HttpServletRequest request,
java.lang.String finalLocation)
It creates a new state to store all the parameters and values of the request and it generates a new encoded values for the
request parameters and adds the HDIV parameter. |
static java.lang.String |
getContextRelativePath(javax.servlet.ServletRequest request,
java.lang.String relativePath)
|
static boolean |
hasActionOrServletExtension(java.lang.String path,
java.util.Hashtable extensions)
Checks if path has an action extension or a jsp page
extension. |
static java.lang.String |
removeRelativePaths(java.lang.String url)
Deletes from url references to relative directories. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public JSTLRequestUtilsHDIV()
| Method Detail |
|---|
public static java.lang.String addHDIVParameterIfNecessary(javax.servlet.http.HttpServletRequest request,
java.lang.String url)
url references our
application.
request - HTTP requesturl - URL
url with the HDIV state added as a new parameter
public static java.lang.String composeURL(javax.servlet.http.HttpServletRequest request,
java.lang.String finalLocation)
request and it generates a new encoded values for the
request parameters and adds the HDIV parameter.
request - HTTP requestfinalLocation - the location to redirect to
public static java.lang.String addExtraParameters(javax.servlet.http.HttpServletRequest request,
org.hdiv.dataComposer.IDataComposer dataComposer,
java.lang.String encodedURL)
encodedURL.
request - HTTP requestdataComposer - HDIV's data composerencodedURL - URL encoded
url with the HDIV state and _flowExecutionKey
added as a new parameters.org.hdiv.composer.IDataComposer
public static java.lang.String addFlowExecutionParameter(javax.servlet.http.HttpServletRequest request,
org.hdiv.dataComposer.IDataComposer dataComposer,
java.lang.String url)
url
parameter if the attribute flowExecutionKey exists in the
request.
request - HTTP requestdataComposer - HDIV's data composerurl - url
public static java.lang.String addHDIVState(org.hdiv.dataComposer.IDataComposer dataComposer,
java.lang.String encodedURL)
encodedURL.
dataComposer - HDIV's data composerencodedURL - URL encoded
url with the HDIV state added as a new parameterorg.hdiv.composer.IDataComposer
public static java.lang.String composeAction(java.lang.String url,
int questionIndex,
java.lang.String charEncoding,
org.hdiv.dataComposer.IDataComposer dataComposer)
It generates a new encoded values for the url parameters.
The returned values guarantees the confidentiality in the encoded and memory strategies if confidentiality indicator defined by user is true.
url - request urlquestionIndex - index of the first question occurrence in
url stringcharEncoding - character encoding
public static boolean hasActionOrServletExtension(java.lang.String path,
java.util.Hashtable extensions)
path has an action extension or a jsp page
extension.
path - pathextensions - extensions table
path is an action or references a jsp
page.
public static java.lang.String getContextRelativePath(javax.servlet.ServletRequest request,
java.lang.String relativePath)
public static java.lang.String removeRelativePaths(java.lang.String url)
url references to relative directories.
url - url
url without references to relative
directories.
|
HDIV 2.0.4 | |||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||